/* base styles */

body {
    width: 900px;
    margin: 3em auto 2em auto;
    overflow-y: scroll;

    font: 15px helvetica, arial, clean, sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 110%;
    color: black;
}

a:link, a:visited {
    color: cornflowerblue;
}

.secondary {
    font-family: Monaco, "Courier New", monospace;
    font-size: 80%;

    color: darkgray;
}

hr {
    border: 0;
    height: 1px;

    color: gainsboro;
    background-color: gainsboro;
}

/* header */

.main-header {
    margin-bottom: 2em;
}

.main-header a {
    text-decoration: none;
    font-weight: bold;
}

.main-header .title {
    color: firebrick;
}

.main-header nav {
    display: inline;
}

.main-header nav a {
    margin-left: 0.8em;

    color: darkgray;
}

/* link list (index) */

.link {
    line-height: 1.75em;
}

.content header .meta .tags a {
    text-decoration: none;
    color: inherit;
}

/* footer */

footer {
    font-size: 85%;
    line-height: 23px;

    margin-top: 3em;
    padding-top: 1em;

    border-top: 4px solid gainsboro;
    color: dimgray;
}

footer .block {
    float: left;
    margin-right: 3em;
}

/* table */
table {
    width: 100%;
}

/* definition lists */

dl dt{
  display: inline-block;
  min-width: 140px;
  font-weight: bold;
}

dl dd {
  display: inline;
  margin: 0;
}

dl dd:after{
  display: block;
  content: '';
}
